JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
ComponentBuilder::TypeHandler Member List

This is the complete list of members for ComponentBuilder::TypeHandler, including all inherited members.

addNewComponentFromState(const ValueTree &state, Component *parent)=0 | ComponentBuilder::TypeHandler | pure virtual
getBuilder() const noexcept | ComponentBuilder::TypeHandler |
type | ComponentBuilder::TypeHandler |
TypeHandler(const Identifier &valueTreeType) | ComponentBuilder::TypeHandler | explicit
updateComponentFromState(Component *component, const ValueTree &state)=0 | ComponentBuilder::TypeHandler | pure virtual
~TypeHandler() | ComponentBuilder::TypeHandler | virtual